﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InChatter.Service.Data
{
    public class InChatterMessage
    {
        /// <summary>
        /// 发送消息者ID
        /// </summary>
        public string SenderID { set; get; }
        /// <summary>
        /// 发送消息者名称
        /// </summary>
        public string SenderName { set; get; }
        /// <summary>
        /// 接收消息者id
        /// </summary>
        public string ReceiverID { set; get; }
        /// <summary>
        /// 接收消息者名称
        /// </summary>
        public string ReceiverName { set; get; }

        /// <summary>
        /// 消息类型：系统提醒（notice）、消息（msg）、上线提醒（logon）、下线提醒（logoff）
        /// </summary>
        public string Type { set; get; }
        /// <summary>
        /// 消息内容
        /// </summary>
        public string Content { set; get; }
        /// <summary>
        /// 消息时间
        /// </summary>
        public string SendTime { set; get; }
        /// <summary>
        /// 附加信息
        /// </summary>
        public string ExtendData { set; get; }
    }
}
